### Name: relatives
### Title: ~~function to do ... ~~
### Aliases: relatives
### Keywords: ~kwd1 ~kwd2

### ** Examples

##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--    or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (term, names, factors) 
{
    is.relative <- function(term1, term2) {
        all(!(factors[, term1] & (!factors[, term2])))
    }
    if (length(names) == 1) 
        return(NULL)
    which.term <- which(term == names)
    (1:length(names))[-which.term][sapply(names[-which.term], 
        function(term2) is.relative(term, term2))]
  }



