### Name: GGHF
### Title: ~~function to do ... ~~
### Aliases: GGHF
### Keywords: ~kwd1 ~kwd2

### ** Examples

##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--    or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (object) 
{
    nterms <- length(object$terms)
    GG <- function(SSPE, P) {
        p <- nrow(SSPE)
        if (p < 2) 
            return(NA)
        lambda <- eigen(SSPE %*% solve(t(P) %*% P))$values
        lambda <- lambda[lambda > 0]
        ((sum(lambda)/p)^2)/(sum(lambda^2)/p)
    }
    HF <- function(gg, error.df, p) {
        ((error.df + 1) * p * gg - 2)/(p * (error.df - p * gg))
    }
    gg.hf <- NULL
    for (term in 2:nterms) {
        SSP <- object$SSP[[term]]
        SSPE <- object$SSPE[[term]]
        P <- object$P[[term]]
        p <- ncol(P)
        gg <- GG(SSPE, P)
        error.df <- object$error.df
        hf <- HF(gg, error.df, p)
        gg.hf <- rbind(gg.hf, cbind(gg, hf))
    }
    gg.hf
  }



