### Name: Mbargraph1
### Title: ~~function to do ... ~~
### Aliases: Mbargraph1
### Keywords: ~kwd1 ~kwd2

### ** Examples

##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--    or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (x.factor, trace.factor = NULL, response, legend = T, 
    names.arg = NULL, xlabel = deparse(substitute(x.factor)), 
    axes = T, xlabs = levels(x.factor), ylabel = paste("Mean", 
        deparse(substitute(response))), ylim = NULL, errorbars = "se", 
    col = c(0, 1)) 
{
    if (is.null(trace.factor)) {
        cells <- tapply(response, x.factor, mean, na.rm = T)
        sds <- tapply(response, x.factor, sd, na.rm = T)
        ns <- tapply(response, x.factor, function(x) length(na.omit(x)))
        ses <- sds/sqrt(ns)
        col <- col[2]
    }
    else {
        cells <- t(tapply(response, list(x.factor, trace.factor), 
            mean, na.rm = T))
        sds <- t(tapply(response, list(x.factor, trace.factor), 
            sd, na.rm = T))
        ns <- t(tapply(response, list(x.factor, trace.factor), 
            function(x) length(na.omit(x))))
        ses <- sds/sqrt(ns)
        leg.text <- levels(trace.factor)
    }
    ys <- pretty(c(cells - ses, cells + (2 * ses)))
    if (!is.null(ylim)) 
        ys <- pretty(ylim)
    if (!is.null(trace.factor)) {
        xs <- barplot(cells, ylim = c(min(ys), max(ys)), beside = T, 
            axes = F, xpd = F, axisnames = F, axis.lty = 2, legend.text = F, 
            col = col)
    }
    else {
        xs <- barplot(cells, ylim = c(min(ys), max(ys)), beside = T, 
            axes = F, xpd = F, axis.lty = 1, legend.text = F, 
            space = 1, col = col)
    }
    if (axes == T) {
        if (is.null(trace.factor)) 
            xm <- xs
        else xm <- apply(xs, 2, median)
        axis(2, las = 1)
        axis(1, at = xm, lab = xlabs, padj = 1, mgp = c(0, 0, 
            0))
        mtext(2, text = ylabel, line = 3, cex = 1.5)
        mtext(1, text = xlabel, line = 3, cex = 1.5)
        box(bty = "l")
    }
    arrows(xs, cells, xs, cells + ses, code = 3, angle = 90, 
        len = 0.05)
    if (legend != F & !is.null(trace.factor)) 
        legend("topright", leg = legend, fill = col, col = col, 
            bty = "n", cex = 1.5)
  }



